#include <iostream>
#include <string>

using namespace std;

string get_text(){ // ввод текста
    string text;
    cout << "Введите текст: ";
    getline(cin, text);
    return text;
}

int get_digit(string text){ // получение суммы цифр введённого числа
    int digits_sum = 0; // изначально сумма равна 0

    for (int i = 0; i < text.size(); i++){ // идём циклом по всему тексту
        if (text[i] >= '0' && text[i] <= '9'){ // если символ является символом числа, то
            digits_sum += text[i] - '0'; // при вычитании символов, результатом является код из ascii таблицы, а так как 0 в 
            // ascii стоит перед всеми остальными числами, то разница между любым числом и нулём в ascii даёт это самое число
        }
        else { // если хотя бы 1 символ не является цифрой, то
            digits_sum = 0; // обнуляем и
            return digits_sum; // возвращаем сумму цифр для остановки цикла
        }
    }

    return digits_sum; // возвращаем полученное значение
}
 
void output_result(int digits_sum){
    if (digits_sum == 0){ // если сумма цифр равна 0, то значит, что число не введенно
        cout << "\nДесятичное число не введенно!\n";
    }
    else if (digits_sum % 9 == 0){ // если сумма цифр делится на 9 без отстатка, то значит, что число делится на 9
        cout << "\nВведённое число делится на 9.\n";
    }
    else { // иначе значит, что число не делится на 9
        cout << "\nВведённое число не делится на 9.\n"; 
    }
}

int main(){
    int digits_sum; // инициализация переменных
    string text;

    text = get_text(); // получение ввода пользователя

    digits_sum = get_digit(text); // получение суммы цифр числа

    output_result(digits_sum); // обработка полученной суммы цифр числа

    return 0;
}